# GET /property-details

> Get property details

Source: https://uaepropertyapi.com/documentation/endpoints/property-details

Get detailed information about a specific property by ID.

- Base URL: `https://uae-real-estate-property.p.rapidapi.com`
- Category: Property Search
- Headers: `x-rapidapi-key: <YOUR_RAPIDAPI_KEY>`, `x-rapidapi-host: uae-real-estate-property.p.rapidapi.com`

## Parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `property_id` | string | yes | Property ID to fetch details for; Example: `15825613` |

## Example request

```bash
curl --request GET \
  --url 'https://uae-real-estate-property.p.rapidapi.com/property-details?property_id=15825613' \
  --header 'x-rapidapi-host: uae-real-estate-property.p.rapidapi.com' \
  --header 'x-rapidapi-key: YOUR_API_KEY'
```

```python
import requests

url = "https://uae-real-estate-property.p.rapidapi.com/property-details"
querystring = {"property_id": "15825613"}
headers = {
    "x-rapidapi-key": "YOUR_API_KEY",
    "x-rapidapi-host": "uae-real-estate-property.p.rapidapi.com"
}

response = requests.get(url, headers=headers, params=querystring)
print(response.json())
```

## Example response (shortened)

```json
{
  "success": true,
  "data": {
    "property": {
      "id": "166080417",
      "category_id": 2,
      "property_type": "Apartment",
      "price": {
        "value": 70000,
        "currency": "AED",
        "period": "yearly",
        "is_hidden": false
      },
      "title": "Vacant | Move in Now | Spacious Layout",
      "location": {
        "id": "3037",
        "full_name": "Botanica Tower, Dubai Marina, Dubai",
        "coordinates": {
          "lat": 25.085046768188477,
          "lon": 55.14241409301758
        },
        "building_details": {
          "developer_name": "GLOBAL GROUP INTERNATIONAL LIMITED",
          "master_developer_name": "EMAAR PROPERTIES (P.J.S.C)",
          "completion_year": 2011,
          "avg_balcony_area_sqm": 10
        }
      },
      "bedrooms": "studio",
      "bathrooms": "1",
      "size": {
        "value": 476,
        "unit": "sqft"
      },
      "furnished": "NO",
      "amenities": [
        {
          "code": "AC",
          "name": "Central A/C"
        }
      ],
      "agent": {
        "id": "289631",
        "name": "Sarah Ahmed",
        "is_super_agent": true,
        "position": "Senior Sales Property Consultant",
        "languages": [
          "English"
        ],
        "total_properties": 75,
        "review_count": 25,
        "avg_score": 4.8
      },
      "broker": {
        "id": "911",
        "name": "Example Properties LLC",
        "license_number": "12065",
        "total_properties": 2579,
        "total_agents": 103
      },
      "is_verified": true,
      "reference": "MCC-R-80949-UX",
      "listed_date": "2026-10-29T14:16:33Z",
      "share_url": "https://www.propertyfinder.ae/en/plp/rent/apartment-for-rent-dubai-dubai-marina-",
      "location_tree": [
        {
          "id": "1",
          "name": "Dubai",
          "type": "CITY",
          "review": {
            "score": 3.9000000953674316,
            "count": 1470
          },
          "level": "0",
          "is_tower_insights_visible": false,
          "is_community_insights_visible": false
        }
      ]
    },
    "meta": {
      "more_properties": [],
      "deleted_property": null
    }
  }
}
```

Related endpoints: 
